﻿<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaNotifications" id="bundleNotification" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<%@ taglib uri="WEB-INF/iwssgui.tld" prefix="warnmsg"%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
descarray = new Array(1);
descarray[0] = tipSendTo;

function init(isimport)
{
  document.saveform.http__admin_msg.value = AddDescription(document.saveform.http__admin_msg.value);
  document.saveform.addtl_virus_down_message.value = AddDescription(document.saveform.addtl_virus_down_message.value);
  document.saveform.addtl_virus_up_message.value = AddDescription(document.saveform.addtl_virus_up_message.value);
  document.saveform.http__security_event_headline.value = AddDescription(document.saveform.http__security_event_headline.value);
  
  if(isimport=='true') EnableSaveButton();
}

function doSubmit()
{
    document.saveform.addtl_virus_down_message.value = Trim(document.saveform.addtl_virus_down_message.value);
    document.saveform.addtl_virus_up_message.value = Trim(document.saveform.addtl_virus_up_message.value);
    document.saveform.http__security_event_headline.value = Trim(document.saveform.http__security_event_headline.value);
    document.saveform.http__admin_msg.value = Trim(document.saveform.http__admin_msg.value);

    document.saveform.http__specificVirus.value = "";
    for(i=0;i<3;i++){
        if (document.saveform.specificVirusName[i].checked) 
          document.saveform.http__specificVirus.value = document.saveform.http__specificVirus.value + " "+document.saveform.specificVirusName[i].value;
    }
    document.saveform.http__specificVirus.value = Trim(document.saveform.http__specificVirus.value);
    if(document.saveform.http__specificVirus.value != "" && document.saveform.http__admin_msg.value==""){
        document.saveform.http__admin_msg.focus();
        alert(i18n_adminmsg);
        return;
    }

    if(document.saveform.addtl_virus_down_default.checked && document.saveform.addtl_virus_down_customized.checked)
        document.saveform.http__addtl_virus.value = "yes";
    else if(document.saveform.addtl_virus_down_default.checked) document.saveform.http__addtl_virus.value = "no";
    else if(document.saveform.addtl_virus_down_customized.checked) document.saveform.http__addtl_virus.value = "replace";
    else{
        alert(i18n_select_usermsg);
        return;
    }

    if(document.saveform.addtl_virus_up_default.checked && document.saveform.addtl_virus_up_customized.checked)
        document.saveform.Request_scan__addVirusMessage.value = "yes";
    else if(document.saveform.addtl_virus_up_default.checked) document.saveform.Request_scan__addVirusMessage.value = "no";
    else if(document.saveform.addtl_virus_up_customized.checked) document.saveform.Request_scan__addVirusMessage.value = "replace";
    else{
        alert(i18n_select_usermsg);
        return;
    }

    if(document.saveform.http__security_event_headline.value==''){
        document.saveform.http__security_event_headline.focus();
        alert(i18n_event_headline);
        return;
    }

    document.saveform.addtl_virus_down_message.value = RemoveBrace(document.saveform.addtl_virus_down_message.value);
    document.saveform.addtl_virus_up_message.value = RemoveBrace(document.saveform.addtl_virus_up_message.value);
    document.saveform.http__security_event_headline.value = RemoveBrace(document.saveform.http__security_event_headline.value);
    document.saveform.http__admin_msg.value = RemoveBrace(RemoveLineEnd(document.saveform.http__admin_msg.value));

    document.saveform.importedfile_down.disabled = true;
    document.saveform.importedfile_up.disabled = true;
    document.saveform.op.value = "save"
    document.saveform.daemonaction.value = httpreloadplus;
    document.saveform.encoding="application/x-www-form-urlencoded";
    setTimeout( "document.saveform.submit()", 100 );
}


function doImport(which)
{
    if(which=='up'){
        if(document.saveform.importedfile_up.value=="") {
            alert(i18n_import_msg);
            return;
        }
    }else{
        if(document.saveform.importedfile_down.value=="") {
            alert(i18n_import_msg);
            return;
        }
    }
    document.saveform.addtl_virus_down_message.value = Trim(document.saveform.addtl_virus_down_message.value);
    document.saveform.addtl_virus_up_message.value = Trim(document.saveform.addtl_virus_up_message.value);
    document.saveform.http__security_event_headline.value = Trim(document.saveform.http__security_event_headline.value);
    document.saveform.http__admin_msg.value = Trim(document.saveform.http__admin_msg.value);

    document.saveform.http__specificVirus.value = "";
    for(i=0;i<3;i++){
        if (document.saveform.specificVirusName[i].checked) 
          document.saveform.http__specificVirus.value = document.saveform.http__specificVirus.value + " "+document.saveform.specificVirusName[i].value;
    }
    document.saveform.http__specificVirus.value = Trim(document.saveform.http__specificVirus.value);
    document.saveform.http__admin_msg.value = RemoveBrace(RemoveLineEnd(document.saveform.http__admin_msg.value));

    if(document.saveform.addtl_virus_down_default.checked && document.saveform.addtl_virus_down_customized.checked)
        document.saveform.http__addtl_virus.value = "yes";
    else if(document.saveform.addtl_virus_down_default.checked) document.saveform.http__addtl_virus.value = "no";
    else if(document.saveform.addtl_virus_down_customized.checked) document.saveform.http__addtl_virus.value = "replace";
    else document.saveform.http__addtl_virus.value = "";

    if(document.saveform.addtl_virus_up_default.checked && document.saveform.addtl_virus_up_customized.checked)
        document.saveform.Request_scan__addVirusMessage.value = "yes";
    else if(document.saveform.addtl_virus_up_default.checked) document.saveform.Request_scan__addVirusMessage.value = "no";
    else if(document.saveform.addtl_virus_up_customized.checked) document.saveform.Request_scan__addVirusMessage.value = "replace";
    else document.saveform.Request_scan__addVirusMessage.value = "";

    document.saveform.http__security_event_headline.value = RemoveBrace(document.saveform.http__security_event_headline.value); 
    document.saveform.addtl_virus_down_message.value = RemoveBrace(document.saveform.addtl_virus_down_message.value);
    document.saveform.addtl_virus_up_message.value = RemoveBrace(document.saveform.addtl_virus_up_message.value);
    document.saveform.http__security_event_headline.value = RemoveBrace(RemoveLineEnd(document.saveform.http__security_event_headline.value));

    document.saveform.op.value = "import"
    document.saveform.daemonaction.value = "0"
    document.saveform.encoding="multipart/form-data";
    document.saveform.action="notifications_httpscan.jsp?import";
    setTimeout( "document.saveform.submit()", 100 );
}

function doPreview(which)
{
    var headline,body;
    headline = document.saveform.http__security_event_headline.value;
    if(headline=="") headline=i18n_DefaultHeadline;
    
    if(which=="down"){
        if(document.saveform.addtl_virus_down_default.checked && document.saveform.addtl_virus_down_customized.checked)
            body = document.saveform.default_virus_down_message.value + "<br><br>"+ AddDescription(RemoveBrace(document.saveform.addtl_virus_down_message.value));
        else if(document.saveform.addtl_virus_down_default.checked) body = document.saveform.default_virus_down_message.value;
        else if(document.saveform.addtl_virus_down_customized.checked) body = AddDescription(RemoveBrace(document.saveform.addtl_virus_down_message.value));
        else{
            alert(i18n_select_usermsg);
            return;
        }
    }else{
        if(document.saveform.addtl_virus_up_default.checked && document.saveform.addtl_virus_up_customized.checked)
            body = document.saveform.default_virus_up_message.value + "<br><br>"+ AddDescription(RemoveBrace(document.saveform.addtl_virus_up_message.value));
        else if(document.saveform.addtl_virus_up_default.checked) body = document.saveform.default_virus_up_message.value;
        else if(document.saveform.addtl_virus_up_customized.checked) body = AddDescription(RemoveBrace(document.saveform.addtl_virus_up_message.value));
        else{
            alert(i18n_select_usermsg);
            return;
        }
    }
    preview_msg(i18n_preview_title,headline,body);
}

</script>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>
</head>
<%

    String specificVirus=null,admin_msg=null, addtl_virus_down=null, addtl_virus_up=null, security_event_headline=null;
    boolean isimport=false;
    String importedcontent_down="",importedcontent_up="";
    if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0)
    {
        WarnMsgFile wmf_down = new WarnMsgFile("http","addtl_virus_message");
        wmf_down.Savedownloadwarnmsg(request.getParameter("addtl_virus_down_message"));
        WarnMsgFile wmf_up = new WarnMsgFile("Request-scan","addtl_virus_message");
        wmf_up.Saveuploadwarnmsg(request.getParameter("addtl_virus_up_message"));
        try{
            IWSSINI formini = new IWSSINI(request);
            formini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");
            IWSSUtil.WriteCMConfigChangeEvent();
            //take deamon action
            int daemon_action = 0;
            if(request.getParameter("daemonaction")!=null)
            {
                daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
            }
        }catch(Exception e)
        {}
    }else{ 
      if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("import")==0){
        IWSSMultiPartParser multip = new IWSSMultiPartParser(request);
        if(multip.GetParameter("op")!=null && multip.GetParameter("op").compareToIgnoreCase("import")==0)
        {
            String importfilename = multip.GetFileName("importedfile_down");
            if(importfilename!=null){
                WarnMsgFile wmf = new WarnMsgFile(importfilename);
                importedcontent_down = wmf.GetContent();
            }else importedcontent_down = multip.GetParameter("addtl_virus_down_message");

            importfilename = multip.GetFileName("importedfile_up");
            if(importfilename!=null){
                WarnMsgFile wmf = new WarnMsgFile(importfilename);
                importedcontent_up = wmf.GetContent();
            }else importedcontent_up = multip.GetParameter("addtl_virus_up_message");

            specificVirus = multip.GetParameter("http__specificVirus");
            admin_msg =   multip.GetParameter("http__admin_msg");
            addtl_virus_down =  multip.GetParameter("http__addtl_virus");
            addtl_virus_up =  multip.GetParameter("Request_scan__addVirusMessage");
            security_event_headline =  multip.GetParameter("http__security_event_headline");
            isimport=true;
        }
        multip.CleanallTempFiles();
      }
    }
    if(!isimport){
            specificVirus = IWSSInfo.GetKeyValue("http","specificVirus");
            admin_msg =  IWSSInfo.GetKeyValue("http","admin_msg");
            addtl_virus_down = IWSSInfo.GetKeyValue("http","addtl_virus");
            addtl_virus_up = IWSSInfo.GetKeyValue("Request-scan","addVirusMessage");
            security_event_headline = IWSSInfo.GetKeyValue("http","security_event_headline");
    }
    if(specificVirus==null) specificVirus="";
    if(admin_msg==null) admin_msg="";
    if(addtl_virus_down == null) addtl_virus_down="";
    if(addtl_virus_up == null) addtl_virus_up="";
    if(security_event_headline == null) security_event_headline="";
%>
<body  onload="init('<%=isimport%>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> 
  pop up description layer </div>
<FORM ACTION="notifications_httpscan.jsp" METHOD=POST NAME=saveform>
<input type=hidden name="op" value="mailsetting">
<input type="hidden" name="fromurl" value="/notifications_httpscan.jsp">
<input type=hidden name="daemonaction" value="0">

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="507" class="content-title"> <i18n:message bundleRef="bundleNotification" key="notification_events.http_scan.title" /></td>
    <td width="33" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('notifications_httpscan.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="2" class="data1"><a href="notifications.jsp"><i18n:message bundleRef="bundleNotification" key="notification_events.notifications" /></a> &gt; <i18n:message bundleRef="bundleNotification" key="notification_events.http_scan.second_title" /></td>
  </tr>
  <tr>
    <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="538" border=0>
  <TBODY>
    <TR> 
      <TD width="543" class="border" style="padding-bottom:3px"> <table width="538" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleNotification" key="notification_events.admin_notification" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.send_message" /> &nbsp;</td>
          </tr>
          <tr>
            <td colspan="2" class="data1">
                    <input type=hidden name="http__specificVirus" value="">
<%

%>
                      <input type=checkbox value="Viruses" name="specificVirusName" onClick="EnableSaveButton();"<%if(specificVirus.indexOf("Viruses")>=0){%> checked<%}%>>
                      <i18n:message bundleRef="bundleNotification" key="notification_events.virus" />&nbsp; <input type=checkbox value="Trojans" name="specificVirusName" onClick="EnableSaveButton();"<%if(specificVirus.indexOf("Trojans")>=0){%> checked<%}%>>
                      <i18n:message bundleRef="bundleNotification" key="notification_events.trojan" /> &nbsp; <input type=checkbox value="Other" name="specificVirusName" onClick="EnableSaveButton();"<%if(specificVirus.indexOf("Other")>=0){%> checked<%}%>>
                      <i18n:message bundleRef="bundleNotification" key="notification_events.other" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.message" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><textarea name="http__admin_msg" cols="102" rows="5" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%=XSSStringClean.cleanXSS(admin_msg)%></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.send_message_to" /> <span class="textbold"><%=IWSSInfo.GetKeyValue("notification","to_addr")%></span> 
<a onMouseOver="popLayer(0,20,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
          </tr>
          <tr>
            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td colspan="2" class="tableheadergrey2"><i18n:message bundleRef="bundleNotification" key="notification_events.user_notification" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.headline" />
                <input name="http__security_event_headline" type="text" class="button" value="<%=XSSStringClean.cleanXSS(IWSSUtil.MyReplace(security_event_headline,"\"","&quot;"))%>" size="82" maxlength=256 onKeyPress="return handleEnter(this, event)" onKeyUp="EnableSaveButton();">
            </td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.message_for_download" />&nbsp;
                      <input name="Button2" type="button" class="button" onClick="javascript:doPreview('down');" value="<i18n:message bundleRef='bundleCommon' key='button.preview' />">
                <div align="right"></div>
            </td>
          </tr>
          <tr>
            <td width="107"  class="data1" style="vertical-align:top">
        <input type=hidden value="<%=XSSStringClean.cleanXSS(addtl_virus_down)%>" name=http__addtl_virus>
            <input name="addtl_virus_down_default" type="checkbox" value="no"<%if(addtl_virus_down.compareToIgnoreCase("no")==0 || addtl_virus_down.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.default" /></td>
            <td width="431" class="data1"><textarea name="default_virus_down_message" cols="81" rows="4" wrap="VIRTUAL" class="button" disabled>
<i18n:message bundleRef="bundleNotification" key="notification_events.malicious_detected" /><br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.item" /> <b>%U[URL/URI]</b><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.action" /> %A[Action]<br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.infection_detail" /><br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.file" /> %F[file name]<br>
<i18n:message bundleRef="bundleNotification" key="notification_events.malicious_code" /> <b>%V[Virus or Trojan name]</b><br>
%X[reasons/block type]
            </textarea>
            </td>
          </tr>
          <tr>
            <td  class="data1"><input name="addtl_virus_down_customized" type="checkbox" value="yes"<%if(addtl_virus_down.compareToIgnoreCase("replace")==0 || addtl_virus_down.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.customized" /></td>
            <td class="data1"><input name="importedfile_down" type="file" class="button" size="40">
                <input name="importbutton_down" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" onClick="doImport('down');">
            </td>
          </tr>
          <tr>
            <td  class="data1">&nbsp;</td>
            <td class="data1"><textarea name="addtl_virus_down_message" cols="81" rows="7" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%if(isimport){%><%=XSSStringClean.cleanXSS(importedcontent_down)%><%}else{%><warnmsg:GetCustomizedWarnMsg tagName="http" subtagName="addtl_virus_message"/><%}%></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.message_for_upload" />                      
              <input name="Button2" type="button" class="button" onClick="javascript:doPreview('up');" value="<i18n:message bundleRef='bundleCommon' key='button.preview' />">
            </td>
          </tr>
          <tr>
            <td  class="data1" style="vertical-align:top">        
            <input type=hidden value="<%=XSSStringClean.cleanXSS(addtl_virus_up)%>" name=Request_scan__addVirusMessage>
            <input name="addtl_virus_up_default" type="checkbox" value="no"<%if(addtl_virus_up.compareToIgnoreCase("no")==0 || addtl_virus_up.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">

    <i18n:message bundleRef="bundleNotification" key="notification_events.default" /></td>
            <td class="data1"><textarea name="default_virus_up_message" cols="81" rows="4" wrap="VIRTUAL" class="button" disabled>
<i18n:message bundleRef="bundleNotification" key="notification_events.malicious_detected" /><br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.item" /> <b>%U[URL/URI]</b><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.action" /> %A[Action]<br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.infection_detail" /><br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.file" /> %F[file name]<br>
<i18n:message bundleRef="bundleNotification" key="notification_events.malicious_code" /> <b>%V[Virus or Trojan name]</b><br>
%X[reasons/block type]
			</textarea>
            </td>
          </tr>
          <tr>
            <td  class="data1"><input name="addtl_virus_up_customized" type="checkbox" value="yes"<%if(addtl_virus_up.compareToIgnoreCase("replace")==0 || addtl_virus_up.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.customized" /></td>
            <td class="data1"><input name="importedfile_up" type="file" class="button" size="40">
                <input name="importbutton_up" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" onClick="doImport('up');">
            </td>
          </tr>
          <tr>
            <td  class="data1">&nbsp;</td>
            <td class="data1"><textarea name="addtl_virus_up_message" cols="81" rows="7" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%if(isimport){%><%=XSSStringClean.cleanXSS(importedcontent_up)%><%}else{%><warnmsg:GetCustomizedWarnMsg tagName="Request-scan" subtagName="addtl_virus_message"/><%}%></textarea>
            </td>
          </tr>
        </table></TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", MessageResourcesMgr.mrCommon.getMessage("button.save"), "width:55px", "disabled")%>
      <input name="cancel"  type="button"  onclick="javascript:self.location.replace('notifications_httpscan.jsp')"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px"> 
    </td>
  </tr>
</table>
</body>
</form>
</html>
