﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Created by: John Shih                                   -->
<!--Date: 08/11/2006                                        -->
<!--Description: Modification wording                       -->
<!--File:notification_httptypeblock.jsp                     -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaNotifications" id="bundleNotification" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<%@ taglib uri="WEB-INF/iwssgui.tld" prefix="warnmsg"%>

<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
descarray = new Array(1);
descarray[0] = tipSendTo;

function doSubmit()
{
    if(document.saveform.addtl_type_default.checked && document.saveform.addtl_type_customized.checked)
        document.saveform.http__addtl_type.value = "yes";
    else if(document.saveform.addtl_type_default.checked) document.saveform.http__addtl_type.value = "no";
    else if(document.saveform.addtl_type_customized.checked) document.saveform.http__addtl_type.value = "replace";
    else{
        alert(i18n_select_usermsg);
        return;
    }
    document.saveform.http__admin_type_msg.value = Trim(document.saveform.http__admin_type_msg.value);
    if(document.saveform.notify_type_admin_view.checked){
        document.saveform.http__notify_type_admin.value='yes';
        if(document.saveform.http__admin_type_msg.value==""){
            document.saveform.http__admin_type_msg.focus();
            alert(i18n_adminmsg);
            return;
        }
    }else document.saveform.http__notify_type_admin.value='no';

    document.saveform.http__security_event_headline.value = Trim(document.saveform.http__security_event_headline.value); 
    if(document.saveform.http__security_event_headline.value==''){
        document.saveform.http__security_event_headline.focus();
        alert(i18n_event_headline);
        return;
    }

    document.saveform.http__admin_type_msg.value = RemoveBrace(RemoveLineEnd(document.saveform.http__admin_type_msg.value));
    document.saveform.http__security_event_headline.value = RemoveBrace(RemoveLineEnd(document.saveform.http__security_event_headline.value));
    document.saveform.addtl_type_message.value = RemoveBrace(document.saveform.addtl_type_message.value);
    document.saveform.importedfile.disabled = true;
    document.saveform.op.value = "save"
    document.saveform.daemonaction.value = httpreloadplus;
    document.saveform.encoding="application/x-www-form-urlencoded";
    setTimeout( "document.saveform.submit()", 100 );
}

function doImport()
{
    if(document.saveform.importedfile.value=="") {
        alert(i18n_import_msg);
        return;
    }

    if(document.saveform.addtl_type_default.checked && document.saveform.addtl_type_customized.checked)
        document.saveform.http__addtl_type.value = "yes";
    else if(document.saveform.addtl_type_default.checked) document.saveform.http__addtl_type.value = "no";
    else if(document.saveform.addtl_type_customized.checked) document.saveform.http__addtl_type.value = "replace";
    else document.saveform.http__addtl_type.value = "";
    
    if(document.saveform.notify_type_admin_view.checked){
        document.saveform.http__notify_type_admin.value='yes';
    }else document.saveform.http__notify_type_admin.value='no';

    document.saveform.http__admin_type_msg.value = RemoveBrace(RemoveLineEnd(document.saveform.http__admin_type_msg.value));
    document.saveform.http__security_event_headline.value = RemoveBrace(RemoveLineEnd(document.saveform.http__security_event_headline.value));
    document.saveform.addtl_type_message.value = RemoveBrace(document.saveform.addtl_type_message.value);

    document.saveform.op.value = "import"
    document.saveform.daemonaction.value = "0"
    document.saveform.encoding="multipart/form-data";
    document.saveform.action="notifications_httptypeblock.jsp?import";
    setTimeout( "document.saveform.submit()", 100 );
}

function doPreview()
{
    var headline,body;
    headline = document.saveform.http__security_event_headline.value;
    if(headline=="") headline=i18n_DefaultHeadline;
    if(document.saveform.addtl_type_default.checked && document.saveform.addtl_type_customized.checked)
        body = document.saveform.default_type_message.value + "<br><br>"+ AddDescription(RemoveBrace(document.saveform.addtl_type_message.value));
    else if(document.saveform.addtl_type_default.checked) body = document.saveform.default_type_message.value;
    else if(document.saveform.addtl_type_customized.checked) body = AddDescription(RemoveBrace(document.saveform.addtl_type_message.value));
    else{
        alert(i18n_adminmsg);
        return;
    }
    preview_msg(i18n_preview_title,headline,body);
}

function init(isimport)
{
  document.saveform.http__admin_type_msg.value = AddDescription(document.saveform.http__admin_type_msg.value);
  document.saveform.addtl_type_message.value = AddDescription(document.saveform.addtl_type_message.value);
  document.saveform.http__security_event_headline.value = AddDescription(document.saveform.http__security_event_headline.value);
  
  if(isimport=='true') EnableSaveButton();
}
</script>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>

<%
    String notify_type_admin=null,admin_type_msg=null, addtl_type=null,security_event_headline=null;
    boolean isimport=false;
    String importedcontent="";
    if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0)
    {
        WarnMsgFile wmf = new WarnMsgFile("http","addtl_type_message");
        wmf.Savefiletypewarnmsg(request.getParameter("addtl_type_message"));

        try{
            IWSSINI formini = new IWSSINI(request);
            formini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");
            IWSSUtil.WriteCMConfigChangeEvent();
            //take deamon action
            int daemon_action = 0;
            if(request.getParameter("daemonaction")!=null)
            {
                daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
            }
        }catch(Exception e)
        {}

        notify_type_admin = IWSSInfo.GetKeyValue("http","notify_type_admin");
        admin_type_msg =  IWSSInfo.GetKeyValue("http","admin_type_msg");
        addtl_type = IWSSInfo.GetKeyValue("http","addtl_type");
        security_event_headline = IWSSInfo.GetKeyValue("http","security_event_headline");
    }else{ 
      if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("import")==0){
        IWSSMultiPartParser multip = new IWSSMultiPartParser(request);
        if(multip.GetParameter("op")!=null && multip.GetParameter("op").compareToIgnoreCase("import")==0)
        {
            String importfilename = multip.GetFileName("importedfile");
            if(importfilename!=null){
                WarnMsgFile wmf = new WarnMsgFile(importfilename);
                importedcontent = wmf.GetContent();
            }
            notify_type_admin = multip.GetParameter("http__notify_type_admin");
            admin_type_msg =   multip.GetParameter("http__admin_type_msg");
            addtl_type =  multip.GetParameter("http__addtl_type");
            security_event_headline =  multip.GetParameter("http__security_event_headline");
            isimport=true;
        }else{
            notify_type_admin = IWSSInfo.GetKeyValue("http","notify_type_admin");
            admin_type_msg =  IWSSInfo.GetKeyValue("http","admin_type_msg");
            addtl_type = IWSSInfo.GetKeyValue("http","addtl_type");
            security_event_headline = IWSSInfo.GetKeyValue("http","security_event_headline");
        }
        multip.CleanallTempFiles();
      }else
      {
            notify_type_admin = IWSSInfo.GetKeyValue("http","notify_type_admin");
            admin_type_msg =  IWSSInfo.GetKeyValue("http","admin_type_msg");
            addtl_type = IWSSInfo.GetKeyValue("http","addtl_type");
            security_event_headline = IWSSInfo.GetKeyValue("http","security_event_headline");
       }
    }
    if(notify_type_admin==null) notify_type_admin="";
    if(admin_type_msg==null) admin_type_msg="";
    if(addtl_type == null) addtl_type="";
    if(security_event_headline == null) security_event_headline="";
%>
</head>
<body  onload="init('<%=isimport%>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> 
  pop up description layer </div>
<FORM ACTION="notifications_httptypeblock.jsp" METHOD=POST NAME=saveform>
<input type="hidden" name="fromurl" value="/notifications_httptypeblock.jsp">
<input type=hidden name="daemonaction" value="0">
<input name=op type=hidden value="save">

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="507" class="content-title"> <i18n:message bundleRef="bundleNotification" key="notification_events.http_block.title" /></td>
    <td width="33" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('notifications_httptypeblock.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="2" class="data1"><a href="notifications.jsp"><i18n:message bundleRef="bundleNotification" key="notification_events.notifications" /></a> &gt; <i18n:message bundleRef="bundleNotification" key="notification_events.http_block.second_title" /></td>
  </tr>
  <tr>
    <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="538" border=0>
  <TBODY>
    <TR> 
      <TD width="543" class="border" style="padding-bottom:3px"> <table width="538" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleNotification" key="notification_events.admin_notification" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1">
<input name="http__notify_type_admin" type="hidden" value="<%=XSSStringClean.cleanXSS(notify_type_admin)%>">
<input name="notify_type_admin_view" type="checkbox" value="yes"<%if(notify_type_admin.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
<i18n:message bundleRef="bundleNotification" key="notification_events.http_block.send_a_message" /> &nbsp;</td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.message" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><textarea name="http__admin_type_msg" cols="102" rows="5" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%=XSSStringClean.cleanXSS(admin_type_msg)%></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.send_message_to" /> <span class="textbold"><%=IWSSInfo.GetKeyValue("notification","to_addr")%></span> 
<a onMouseOver="popLayer(0,20,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
          </tr>
          <tr>
            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td colspan="2" class="tableheadergrey2"><i18n:message bundleRef="bundleNotification" key="notification_events.user_notification" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.headline" />
                <input name="http__security_event_headline" type="text" class="button" value="<%=XSSStringClean.cleanXSS(IWSSUtil.MyReplace(security_event_headline,"\"","&quot;"))%>" size="82" maxlength=256 onKeyPress="return handleEnter(this, event)" onKeyUp="EnableSaveButton();">
            </td>
          </tr>
          <tr>
            <td width="106" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.message" />&nbsp; 
                <div align="right"></div>
            </td>
            <td width="432" class="data1">
              <input name="Button2" type="button" class="button" onClick="javascript:doPreview();" value="<i18n:message bundleRef='bundleCommon' key='button.preview' />">
            </td>
          </tr>
          <tr>
            <td style="vertical-align:top" class="data1">            <input type=hidden value="<%=XSSStringClean.cleanXSS(addtl_type)%>" name=http__addtl_type>
            <input name="addtl_type_default" type="checkbox" value="no"<%if(addtl_type.compareToIgnoreCase("no")==0 || addtl_type.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.default" /></td>
            <td class="data1">
                <textarea name="default_type_message" cols="81" rows="4" wrap="VIRTUAL" class="button" disabled>
<i18n:message bundleRef="bundleNotification" key="notification_events.following_detected" /><br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.item" /> <b>%U[URL/URI]</b><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.action" /> %A[Action]<br>
<i18n:message bundleRef="bundleNotification" key="notification_events.rule" /> %X[reasons/block type]<br>
                </textarea>
            </td>
          </tr>
          <tr>
            <td valign="top" class="data1"><input name="addtl_type_customized" type="checkbox" value="yes"<%if(addtl_type.compareToIgnoreCase("replace")==0 || addtl_type.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.customized" /></td>
            <td class="data1"><input name="importedfile" type="file" class="button" size="40">
                <input name="importbutton" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" onClick="doImport();">
            </td>
          </tr>
          <tr>
            <td valign="top" class="data1">&nbsp;</td>
            <td class="data1"><textarea name="addtl_type_message" cols="81" rows="7" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%if(isimport){%><%=XSSStringClean.cleanXSS(importedcontent)%><%}else{%><warnmsg:GetCustomizedWarnMsg tagName="http" subtagName="addtl_type_message"/><%}%></textarea>
            </td>
          </tr>
        </table></TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", MessageResourcesMgr.mrCommon.getMessage("button.save"), "width:55px", "disabled")%>
      <input name="cancel"  type="button"  onclick="javascript:self.location.replace('notifications_httptypeblock.jsp')"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px"> 
    </td>
  </tr>
</table>
</body>
</form>
</html>
