﻿<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaNotifications" id="bundleNotification" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<%@ taglib uri="WEB-INF/iwssgui.tld" prefix="warnmsg"%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
function doSubmit()
{
    if(document.saveform.addtl_url_block_default.checked && document.saveform.addtl_url_block_customized.checked)
        document.saveform.Request_scan__addBlockedMessage.value = "yes";
    else if(document.saveform.addtl_url_block_default.checked) document.saveform.Request_scan__addBlockedMessage.value = "no";
    else if(document.saveform.addtl_url_block_customized.checked) document.saveform.Request_scan__addBlockedMessage.value = "replace";
    else{
        alert(i18n_select_usermsg);
        return;
    }

    document.saveform.http__security_event_headline.value = Trim(document.saveform.http__security_event_headline.value); 
    if(document.saveform.http__security_event_headline.value==''){
        document.saveform.http__security_event_headline.focus();
        alert(i18n_event_headline);
        return;
    }

    document.saveform.addtl_url_block_message.value = RemoveBrace(document.saveform.addtl_url_block_message.value);
    document.saveform.http__security_event_headline.value = RemoveBrace(RemoveLineEnd(document.saveform.http__security_event_headline.value));

    document.saveform.importedfile.disabled = true;
    document.saveform.op.value = "save"
    document.saveform.daemonaction.value = httpreloadplus;
    document.saveform.encoding="application/x-www-form-urlencoded";
    setTimeout( "document.saveform.submit()", 100 );
}

function doImport()
{
    if(document.saveform.importedfile.value=="") {
        alert(i18n_import_msg);
        return;
    }

    if(document.saveform.addtl_url_block_default.checked && document.saveform.addtl_url_block_customized.checked)
        document.saveform.Request_scan__addBlockedMessage.value = "yes";
    else if(document.saveform.addtl_url_block_default.checked) document.saveform.Request_scan__addBlockedMessage.value = "no";
    else if(document.saveform.addtl_url_block_customized.checked) document.saveform.Request_scan__addBlockedMessage.value = "replace";
    else document.saveform.Request_scan__addBlockedMessage.value = "";

    document.saveform.http__security_event_headline.value = RemoveBrace(RemoveLineEnd(document.saveform.http__security_event_headline.value));
    document.saveform.addtl_url_block_message.value = RemoveBrace(document.saveform.addtl_url_block_message.value);
    document.saveform.http__security_event_headline.value = RemoveBrace(RemoveLineEnd(document.saveform.http__security_event_headline.value));
    document.saveform.op.value = "import"
    document.saveform.daemonaction.value = "0"
    document.saveform.encoding="multipart/form-data";
    document.saveform.action="notifications_urlblock.jsp?import";
    setTimeout( "document.saveform.submit()", 100 );
}

function doPreview()
{
    var headline,body;
    headline = document.saveform.http__security_event_headline.value;
    if(headline=="") headline=i18n_DefaultHeadline;

    if(document.saveform.addtl_url_block_default.checked && document.saveform.addtl_url_block_customized.checked)
        body = document.saveform.default_url_block_message.value + "<br><br>"+ AddDescription(RemoveBrace(document.saveform.addtl_url_block_message.value));
    else if(document.saveform.addtl_url_block_default.checked) body = document.saveform.default_url_block_message.value;
    else if(document.saveform.addtl_url_block_customized.checked) body = AddDescription(RemoveBrace(document.saveform.addtl_url_block_message.value));
    else{
        alert(i18n_select_usermsg);
        return;
    }
    preview_msg(i18n_preview_title,headline,body);
}

function init(isimport)
{
  document.saveform.addtl_url_block_message.value = AddDescription(document.saveform.addtl_url_block_message.value);
  document.saveform.http__security_event_headline.value = AddDescription(document.saveform.http__security_event_headline.value);
  
  if(isimport=='true') EnableSaveButton();
}
</script>
</head>
<%
    String  addtl_url_block=null,security_event_headline=null;
    boolean isimport=false;
    String importedcontent="";
    if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0)
    {
        WarnMsgFile wmf = new WarnMsgFile("Request-scan","addtl_url_block_message");
        wmf.Saveurlblockwarnmsg(request.getParameter("addtl_url_block_message"));

        try{
            IWSSINI formini = new IWSSINI(request);
            formini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");
            IWSSUtil.WriteCMConfigChangeEvent();
            //take deamon action
            int daemon_action = 0;
            if(request.getParameter("daemonaction")!=null)
            {
                daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
            }
        }catch(Exception e)
        {}

        addtl_url_block = IWSSInfo.GetKeyValue("Request-scan","addBlockedMessage");
        security_event_headline = IWSSInfo.GetKeyValue("http","security_event_headline");
    }else{ 
      if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("import")==0){
        IWSSMultiPartParser multip = new IWSSMultiPartParser(request);
        if(multip.GetParameter("op")!=null && multip.GetParameter("op").compareToIgnoreCase("import")==0)
        {
            String importfilename = multip.GetFileName("importedfile");
            if(importfilename!=null){
                WarnMsgFile wmf = new WarnMsgFile(importfilename);
                importedcontent = wmf.GetContent();
            }
            addtl_url_block =  multip.GetParameter("Request_scan__addBlockedMessage");
            security_event_headline =  multip.GetParameter("http__security_event_headline");
            isimport=true;
        }else{
            addtl_url_block = IWSSInfo.GetKeyValue("Request-scan","addBlockedMessage");
            security_event_headline = IWSSInfo.GetKeyValue("http","security_event_headline");
        }
        multip.CleanallTempFiles();
      }else
      {
            addtl_url_block = IWSSInfo.GetKeyValue("Request-scan","addBlockedMessage");
            security_event_headline = IWSSInfo.GetKeyValue("http","security_event_headline");
       }
    }

    if(addtl_url_block == null) addtl_url_block="";
    if(security_event_headline == null) security_event_headline="";
%>
<body  onload="init('<%=isimport%>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<FORM ACTION="notifications_urlblock.jsp" METHOD=POST NAME=saveform>
<input type="hidden" name="fromurl" value="/notifications_urlblock.jsp">
<input type=hidden name="daemonaction" value="0">
<input name=op type=hidden value="save">

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="507" class="content-title"> <i18n:message bundleRef="bundleNotification" key="notification_events.url_block.title" /></td>
    <td width="33" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('notifications_urlblock.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="2" class="data1"><a href="notifications.jsp"><i18n:message bundleRef="bundleNotification" key="notification_events.notifications" /></a> &gt; <i18n:message bundleRef="bundleNotification" key="notification_events.url_block.second_title" /></td>
  </tr>
  <tr>
    <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td style="padding-bottom:3px"><table width="538" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleNotification" key="notification_events.user_notification" /></td>
      </tr>
      <tr>
        <td colspan="2" class="data1" style="padding-left:7px"><i18n:message bundleRef="bundleNotification" key="notification_events.headline" />
            <input name="http__security_event_headline" type="text" class="button" value="<%=XSSStringClean.cleanXSS(IWSSUtil.MyReplace(security_event_headline,"\"","&quot;"))%>" size="82" maxlength=256 onKeyPress="return handleEnter(this, event)" onKeyUp="EnableSaveButton();">
        </td>
      </tr>
      <tr>
        <td class="data1" style="padding-left:7px"><i18n:message bundleRef="bundleNotification" key="notification_events.message" /></td>
        <td>
          <input name="Button2" type="button" class="button" onClick="javascript:doPreview();" value="<i18n:message bundleRef='bundleCommon' key='button.preview' />">
        </td>
      </tr>
      <tr>
        <td width="100" style="vertical-align:top" class="data1"><input type=hidden value="<%=XSSStringClean.cleanXSS(addtl_url_block)%>" name=Request_scan__addBlockedMessage>
            <input name="addtl_url_block_default" type="checkbox" value="no"<%if(addtl_url_block.compareToIgnoreCase("no")==0 || addtl_url_block.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      <i18n:message bundleRef="bundleNotification" key="notification_events.default" /></td>
        <td width="438"><textarea name="default_url_block_message" cols="81" rows="4" wrap="VIRTUAL" class="button" disabled><i18n:message bundleRef="bundleNotification" key="notification_events.url_block.restricted_due_to_rule" /><br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.url" /> <b>%U[URL/URI]</b><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.url_block.block_urls" /> <b>%X[reasons/block type]</b><br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.url_block.contact_message" />
    </textarea>
        </td>
      </tr>
      <tr>
        <td  class="data1"><input name="addtl_url_block_customized" type="checkbox" value="yes"<%if(addtl_url_block.compareToIgnoreCase("replace")==0 || addtl_url_block.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      <i18n:message bundleRef="bundleNotification" key="notification_events.customized" /></td>
        <td><input name="importedfile" type="file" class="button" size="40">
                <input name="importbutton" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" onClick="doImport();">
        </td>
      </tr>
      <tr>
        <td  class="data1">&nbsp;</td>
        <td><textarea name="addtl_url_block_message" cols="81" rows="7" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%if(isimport){%><%=XSSStringClean.cleanXSS(importedcontent)%><%}else{%><warnmsg:GetCustomizedWarnMsg tagName="Request-scan" subtagName="addtl_url_block_message"/><%}%></textarea>
        </td>
      </tr>
    </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", MessageResourcesMgr.mrCommon.getMessage("button.save"), "width:55px", "disabled")%>
      <input name="cancel"  type="button"  onclick="javascript:self.location.replace('notifications_urlblock.jsp')"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px"> 
    </td>
  </tr>
</table>
</body>
</form>
</html>
