Select w.domain, w.category, w.categorytype, w.custom_ct_name, coalesce(w.unblock_hits,0) as unblock_hits, coalesce(y.violation_hits,0) as violation_hits, (coalesce(w.unblock_hits,0) + coalesce(y.violation_hits,0)) as total_hits
From tmpaccesstab w LEFT OUTER JOIN tmpviolationtab y ON w.domain = y.domain
Group By w.domain,w.category,w.categorytype,w.custom_ct_name, w.unblock_hits,y.violation_hits
Order By total_hits desc
