﻿<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.io.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaNotifications" id="bundleNotification" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<%@ taglib uri="WEB-INF/iwssgui.tld" prefix="warnmsg"%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
function doSubmit()
{
    if(document.saveform.addtl_access_deny_default.checked && document.saveform.addtl_access_deny_customized.checked)
        document.saveform.https_scanning__addAccDenyMessage.value = "yes";
    else if(document.saveform.addtl_access_deny_default.checked) document.saveform.https_scanning__addAccDenyMessage.value = "no";
    else if(document.saveform.addtl_access_deny_customized.checked) document.saveform.https_scanning__addAccDenyMessage.value = "replace";
    else{
        alert(i18n_select_usermsg);
        return;
    }

    document.saveform.https_scanning__event_headline.value = Trim(document.saveform.https_scanning__event_headline.value); 
    if(document.saveform.https_scanning__event_headline.value==''){
        document.saveform.https_scanning__event_headline.focus();
        alert(i18n_event_headline2);
        return;
    }

    document.saveform.addtl_access_deny_message.value = RemoveBrace(document.saveform.addtl_access_deny_message.value);
    document.saveform.https_scanning__event_headline.value = RemoveBrace(RemoveLineEnd(document.saveform.https_scanning__event_headline.value));

    document.saveform.importedfile.disabled = true;
    document.saveform.op.value = "save";
    document.saveform.daemonaction.value = sciprestart;
    document.saveform.encoding="application/x-www-form-urlencoded";
    setTimeout( "document.saveform.submit()", 100 );
}

function doImport()
{
    if(document.saveform.importedfile.value=="") {
        alert(i18n_import_msg);
        return;
    }

    if(document.saveform.addtl_access_deny_default.checked && document.saveform.addtl_access_deny_customized.checked)
        document.saveform.https_scanning__addAccDenyMessage.value = "yes";
    else if(document.saveform.addtl_access_deny_default.checked) document.saveform.https_scanning__addAccDenyMessage.value = "no";
    else if(document.saveform.addtl_access_deny_customized.checked) document.saveform.https_scanning__addAccDenyMessage.value = "replace";
    else document.saveform.https_scanning__addAccDenyMessage.value = "";

    document.saveform.https_scanning__event_headline.value = RemoveBrace(RemoveLineEnd(document.saveform.https_scanning__event_headline.value));
    document.saveform.addtl_access_deny_message.value = RemoveBrace(document.saveform.addtl_access_deny_message.value);
    document.saveform.op.value = "import";
    document.saveform.daemonaction.value = "0";
    document.saveform.encoding="multipart/form-data";
    document.saveform.action="notifications_accessdeny.jsp?import";
    setTimeout( "document.saveform.submit()", 100 );
}

function doPreview()
{
    var headline,body;
    headline = document.saveform.https_scanning__event_headline.value;
    if(headline=="") headline=i18n_DefaultHeadline;

    if(document.saveform.addtl_access_deny_default.checked && document.saveform.addtl_access_deny_customized.checked)
        body = document.saveform.default_access_deny_message.value + "<br><br>"+ AddDescription(RemoveBrace(document.saveform.addtl_access_deny_message.value));
    else if(document.saveform.addtl_access_deny_default.checked) body = document.saveform.default_access_deny_message.value;
    else if(document.saveform.addtl_access_deny_customized.checked) body = AddDescription(RemoveBrace(document.saveform.addtl_access_deny_message.value));
    else{
        alert(i18n_select_usermsg);
        return;
    }
    preview_msg(i18n_preview_title,headline,body);
}

function init(isimport)
{
  document.saveform.addtl_access_deny_message.value = AddDescription(document.saveform.addtl_access_deny_message.value);
  document.saveform.https_scanning__event_headline.value = AddDescription(document.saveform.https_scanning__event_headline.value);
  
  if(isimport=='true') EnableSaveButton();
}
</script>
</head>
<%      
    String  addtl_access_deny=null, event_headline=null;
    boolean isimport=false;
    String importedcontent="";
    if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0)
    {
        WarnMsgFile wmf = new WarnMsgFile("https-scanning","addtl_access_deny_message");
        wmf.Savehttpswarnmsg(request.getParameter("addtl_access_deny_message"));

        try{ 
            IWSSINI formini = new IWSSINI(request);
            formini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");
            IWSSUtil.WriteCMConfigChangeEvent();          
        }catch(Exception e)
            {return;}

        addtl_access_deny = IWSSInfo.GetKeyValue("https-scanning","addAccDenyMessage");
        event_headline = IWSSInfo.GetKeyValue("https-scanning","event_headline");
        
      //generate the specified html template
        String oneline = "";
        String srcfile = "";
        String filename = "access_denied.html";
		String file_connecterr = "connect_error.html";
        String filepath = IWSSInfo.GetWorkPath();
        String destfile = filepath + filename;
        String scippath = "/opt/sxsuite/conf/html_default/";
        String scipfile = scippath + filename;
		String scipfile_connecterr = scippath + file_connecterr;
		
        String replace_UH = "";
        String replace_ho = event_headline.replaceAll("%h", "%o");
       
        BufferedWriter html_out = null;
        BufferedReader html_in = null;
        BufferedReader iwsshtml = null;
        BufferedWriter sciphtml = null;
		BufferedWriter sciphtml_connecterr = null;
       
        try{
            html_out = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(destfile),"utf-8")); 
            if(html_out==null)
            {
                html_out.close();
                return;
            }    
        
            html_out.write("<html>");
            html_out.newLine(); 
            
            html_out.write("<head><title>" + replace_ho + "</title></head>");
            html_out.newLine(); 
            html_out.write("<h1>" + replace_ho + "</h1>");
            html_out.newLine(); 
            html_out.write("</html>");
            html_out.newLine();                 
         
            if(addtl_access_deny.equalsIgnoreCase("no")||addtl_access_deny.equalsIgnoreCase("yes"))
            {    
                srcfile = filepath + "html_template/access_denied_nohead.html";        
                html_in= new BufferedReader(new InputStreamReader(new FileInputStream(srcfile),"utf-8"));
                if(html_in==null)
                {
                    html_in.close();
                    return;
                }     
                 oneline = html_in.readLine();
            	//verify it is utf8
                if(oneline!=null && oneline.length()>0)
                {
            		if(oneline.charAt(0)==65279) 
            		    oneline = oneline.substring(1);
                }            
                while(oneline!=null)
                {
                    replace_UH = oneline.replaceAll("%U", "%H");
                    replace_ho = replace_UH.replaceAll("%h", "%o");
                    html_out.write(replace_ho);
                    html_out.newLine();      
                    oneline = html_in.readLine();
                }
                html_in.close();     
                           
                if(addtl_access_deny.equalsIgnoreCase("no"))
                    html_out.close();                                                           
            } 
                       
            if(addtl_access_deny.equalsIgnoreCase("replace")||addtl_access_deny.equalsIgnoreCase("yes"))
            {
                srcfile = filepath + "accessdeny_warnmsg.txt";
                html_in= new BufferedReader(new InputStreamReader(new FileInputStream(srcfile),"utf-8"));
                if(html_in==null)
                {
                    html_in.close();
                    return;
                }     
                oneline = html_in.readLine();
                //verify it is utf8
                if(oneline!=null && oneline.length()>0)
                {
                    if(oneline.charAt(0)==65279) 
                		oneline = oneline.substring(1);
                }            
                while(oneline!=null)
                {
                    replace_UH = oneline.replaceAll("%U", "%H");
                    replace_ho = replace_UH.replaceAll("%h", "%o");
                    html_out.write(replace_ho);
                    html_out.newLine();      
                    oneline = html_in.readLine();
                }
                html_in.close();
                html_out.close();        
            } 
            
            iwsshtml= new BufferedReader(new InputStreamReader(new FileInputStream(destfile),"utf-8"));
            if(iwsshtml==null)
            {
                iwsshtml.close();
                return;
            }              
            sciphtml = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(scipfile),"utf-8"));
			sciphtml_connecterr = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(scipfile_connecterr),"utf-8"));
            if(sciphtml==null)
            {
                sciphtml.close();
                return;
            }     
			if(sciphtml_connecterr==null)
            {
                sciphtml_connecterr.close();
                return;
            }                             
            oneline = iwsshtml.readLine();
            //verify it is utf8
            if(oneline!=null && oneline.length()>0)
            {
                if(oneline.charAt(0)==65279) 
                    oneline = oneline.substring(1);
            }            
            while(oneline!=null)
            {
                sciphtml.write(oneline);
                sciphtml.newLine(); 
				sciphtml_connecterr.write(oneline);
                sciphtml_connecterr.newLine();     
                oneline = iwsshtml.readLine();
            }            
            iwsshtml.close();
            sciphtml.close();  
			sciphtml_connecterr.close();
			
			int daemon_action = 0;
            if(request.getParameter("daemonaction")!=null)
            {
                daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
            }                

        }catch(Exception e){
            e.printStackTrace();
            return;
        }         
    }else{ 
      if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("import")==0){
        IWSSMultiPartParser multip = new IWSSMultiPartParser(request);
        if(multip.GetParameter("op")!=null && multip.GetParameter("op").compareToIgnoreCase("import")==0)
        {
            String importfilename = multip.GetFileName("importedfile");
            if(importfilename!=null){
                WarnMsgFile wmf = new WarnMsgFile(importfilename);
                importedcontent = wmf.GetContent();
            }
            addtl_access_deny =  multip.GetParameter("https_scanning__addAccDenyMessage");
            event_headline =  multip.GetParameter("https_scanning__event_headline");
            isimport=true;
        }else{
            addtl_access_deny = IWSSInfo.GetKeyValue("https-scanning","addAccDenyMessage");
            event_headline = IWSSInfo.GetKeyValue("https-scanning","event_headline");
        }
        multip.CleanallTempFiles();
      }else
      {
            addtl_access_deny = IWSSInfo.GetKeyValue("https-scanning","addAccDenyMessage");
            event_headline = IWSSInfo.GetKeyValue("https-scanning","event_headline");
       }
    }

    if(addtl_access_deny == null) addtl_access_deny="";
    if(event_headline == null) event_headline="";
%>
<body  onload="init('<%=isimport%>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<FORM ACTION="notifications_accessdeny.jsp" METHOD=POST NAME=saveform>
<input type="hidden" name="fromurl" value="/notifications_accessdeny.jsp">
<input type="hidden" name="daemonaction" value="0">
<input name=op type=hidden value="save">

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="507" class="content-title"> <i18n:message bundleRef="bundleNotification" key="notification_events.https_access.title" /> </td>
    <td width="33" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('notifications_httpsdenied.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="2" class="data1"><a href="notifications.jsp"><i18n:message bundleRef="bundleNotification" key="notification_events.notifications" /></a> &gt; <i18n:message bundleRef="bundleNotification" key="notification_events.https_access.second_title" />
    </td>
  </tr>
  <tr>
    <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td style="padding-bottom:3px"><table width="538" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleNotification" key="notification_events.user_notification" /></td>
      </tr>
      <tr>
        <td colspan="2" class="data1" style="padding-left:7px"><i18n:message bundleRef="bundleNotification" key="notification_events.headline" />
            <input name="https_scanning__event_headline" type="text" class="button" value="<%=XSSStringClean.cleanXSS(IWSSUtil.MyReplace(event_headline,"\"","&quot;"))%>" size="82" maxlength=256 onKeyPress="return handleEnter(this, event)" onKeyUp="EnableSaveButton();">
        </td>
      </tr>
      <tr>
        <td class="data1" style="padding-left:7px"><i18n:message bundleRef="bundleNotification" key="notification_events.message" /></td>
        <td>
          <input name="Button2" type="button" class="button" onClick="javascript:doPreview();" value="<i18n:message bundleRef='bundleCommon' key='button.preview' />">
        </td>
      </tr>
      <tr>
        <td width="100" style="vertical-align:top" class="data1"><input type=hidden value="<%=XSSStringClean.cleanXSS(addtl_access_deny)%>" name=https_scanning__addAccDenyMessage>
            <input name="addtl_access_deny_default" type="checkbox" value="no"<%if(addtl_access_deny.compareToIgnoreCase("no")==0 || addtl_access_deny.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      <i18n:message bundleRef="bundleNotification" key="notification_events.default" /></td>
        <td width="438"><textarea name="default_access_deny_message" cols="81" rows="4" wrap="VIRTUAL" class="button" disabled>
<html>
<body>
<i18n:message bundleRef="bundleNotification" key="notification_events.https_access.error_message" /><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.url" /> %U<br><br>
<b><i18n:message bundleRef="bundleNotification" key="notification_events.https_certificate.detailed_message" /></b><br>
$$DETAILS
</body>
</html>
        </textarea>
        </td>
      </tr>
      <tr>
        <td  class="data1"><input name="addtl_access_deny_customized" type="checkbox" value="yes"<%if(addtl_access_deny.compareToIgnoreCase("replace")==0 || addtl_access_deny.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      <i18n:message bundleRef="bundleNotification" key="notification_events.customized" /></td>
        <td><input name="importedfile" type="file" class="button" size="40">
                <input name="importbutton" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" onClick="doImport();">
        </td>
      </tr>
      <tr>
        <td  class="data1">&nbsp;</td>
        <td><textarea name="addtl_access_deny_message" cols="81" rows="7" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%if(isimport){%><%=XSSStringClean.cleanXSS(importedcontent)%><%}else{%><warnmsg:GetCustomizedWarnMsg tagName="https-scanning" subtagName="addtl_access_deny_message"/><%}%></textarea>
        </td>
      </tr>
    </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", MessageResourcesMgr.mrCommon.getMessage("button.save"), "width:55px", "disabled")%>
      <input name="cancel"  type="button"  onclick="javascript:self.location.replace('notifications_accessdeny.jsp')"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px"> 
    </td>
  </tr>
</table>
</body>
</form>
</html>
