﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 12/04/2006                                        -->
<!--Description: Start ftp daemon after click Save button   -->
<!--File:notifications_ftpscan.jsp                          -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->

<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaNotifications" id="bundleNotification" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
descarray = new Array(1);
descarray[0] = tipSendTo;

function init()
{
  document.saveform.ftp__admin_msg.value = AddDescription(document.saveform.ftp__admin_msg.value);
  document.saveform.ftp__addtl_virus_message.value = AddDescription(document.saveform.ftp__addtl_virus_message.value);
}

function doSubmit()
{
    if(document.saveform.addtl_virus_default.checked && document.saveform.addtl_virus_customized.checked)
        document.saveform.ftp__addtl_virus.value = "yes";
    else if(document.saveform.addtl_virus_default.checked) document.saveform.ftp__addtl_virus.value = "no";
    else if(document.saveform.addtl_virus_customized.checked) document.saveform.ftp__addtl_virus.value = "replace";
    else{
        alert(i18n_select_usermsg);
        return;
    }

    document.saveform.ftp__specificVirus.value = "";
    for(i=0;i<3;i++){
        if (document.saveform.specificVirusName[i].checked) 
          document.saveform.ftp__specificVirus.value = document.saveform.ftp__specificVirus.value + " "+document.saveform.specificVirusName[i].value;
    }
    document.saveform.ftp__specificVirus.value = Trim(document.saveform.ftp__specificVirus.value);
    if(document.saveform.ftp__specificVirus.value != "" && document.saveform.ftp__admin_msg.value==""){
        document.saveform.ftp__admin_msg.focus();
        alert(i18n_adminmsg);
        return;
    }

    if(ISDBCS(document.saveform.ftp__addtl_virus_message.value)){
        document.saveform.ftp__addtl_virus_message.focus();
        alert(i18n_ftp_addtl_virus_message);
        return;        
    }
    document.saveform.ftp__admin_msg.value = RemoveBrace(RemoveLineEnd(document.saveform.ftp__admin_msg.value));
    document.saveform.ftp__addtl_virus_message.value = RemoveBrace(RemoveLineEnd(document.saveform.ftp__addtl_virus_message.value));
	document.saveform.daemonaction.value = ftpreload;
    setTimeout( "document.saveform.submit()", 100 );
}

</script>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>
</head>

<body onLoad="init();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> 
  pop up description layer </div>
<FORM ACTION="servlet/com.trend.iwss.gui.servlet.interscanset" METHOD=POST NAME=saveform>
<input type=hidden name="op" value="ftpnotification">
<input type="hidden" name="fromurl" value="/notifications_ftpscan.jsp">
<input type=hidden name="daemonaction" value="0">

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="507" class="content-title"> <i18n:message bundleRef="bundleNotification" key="notification_events.ftp_scan.title" /></td>
    <td width="33" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('notifications_ftpscan.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="2" class="data1"><a href="notifications.jsp"><i18n:message bundleRef="bundleNotification" key="notification_events.notifications" /></a> &gt; <i18n:message bundleRef="bundleNotification" key="notification_events.ftp_scan.second_title" /></td>
  </tr>
  <tr>
    <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  
    <TR> 
      <TD class="border" style="padding-bottom:3px"> <table width="538" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td colspan=2 class="tableheadergrey"><i18n:message bundleRef="bundleNotification" key="notification_events.admin_notification" /></td>
          </tr>
          <tr>
            <td colspan=2 class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.send_message" /> </td>
          </tr>
          <tr>
            <td colspan=2 class="data1">                     
                    <input type=hidden name="ftp__specificVirus" value="">
<%
String specificVirus = IWSSInfo.GetKeyValue("ftp","specificVirus");
%>
                      <input type=checkbox value="Viruses" name="specificVirusName" onClick="EnableSaveButton();"<%if(specificVirus.indexOf("Viruses")>=0){%> checked<%}%>>
                      <i18n:message bundleRef="bundleNotification" key="notification_events.virus" />&nbsp; <input type=checkbox value="Trojans" name="specificVirusName" onClick="EnableSaveButton();"<%if(specificVirus.indexOf("Trojans")>=0){%> checked<%}%>>
                      <i18n:message bundleRef="bundleNotification" key="notification_events.trojan" /> &nbsp; <input type=checkbox value="Other" name="specificVirusName" onClick="EnableSaveButton();"<%if(specificVirus.indexOf("Other")>=0){%> checked<%}%>>
                      <i18n:message bundleRef="bundleNotification" key="notification_events.other_malicious" /></td>
          </tr>
          <tr>
            <td colspan=2 class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.message" /></td>
          </tr>
          <tr>
            <td colspan=2 class="data1"><textarea name=ftp__admin_msg cols="100" rows="5" wrap="VIRTUAL" class="button" onKeyUp="EnableSaveButton();"><%=IWSSInfo.GetKeyValue("ftp","admin_msg")%></textarea> 
            </td>
          </tr>
          <tr>
            <td colspan=2 class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.send_message_to" /> <span class="textbold"><%=IWSSInfo.GetKeyValue("notification","to_addr")%></span> 
<a onMouseOver="popLayer(0,20,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
          </tr>
          <tr>
            <td colspan=2><img src="images/1space_cui.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td colspan=2 class="tableheadergrey2"><i18n:message bundleRef="bundleNotification" key="notification_events.user_notification" /></td>
          </tr>
          <tr>
            <td colspan=2 class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.prompt" /> &nbsp;</td>
          </tr>
          <tr>
            <td colspan=2 class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.message" /></td>
          </tr>
          <tr>
            <td style="vertical-align:top" class="data1" width=110>
<%
    String addtl_virus = IWSSInfo.GetKeyValue("ftp","addtl_virus");
    if(addtl_virus == null) addtl_virus="";
%>
            <input type=hidden value="<%=addtl_virus%>" name=ftp__addtl_virus>
            <input name="addtl_virus_default" type="checkbox" value="no"<%if(addtl_virus.compareToIgnoreCase("no")==0 || addtl_virus.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.default" /></td>
            <td class="data1"><textarea name="textarea4" cols="80" rows="7" wrap="VIRTUAL" class="button" disabled><i18n:message bundleRef="bundleNotification" key="notification_events.malicious_detected_in_ftp" />

<i18n:message bundleRef="bundleNotification" key="notification_events.ftp.item" /> %F[file name]
<i18n:message bundleRef="bundleNotification" key="notification_events.ftp.action" /> %A[Action]
<i18n:message bundleRef="bundleNotification" key="notification_events.ftp.infection_detail" />
-- <i18n:message bundleRef="bundleNotification" key="notification_events.ftp.file" /> %F[file name], <i18n:message bundleRef="bundleNotification" key="notification_events.ftp.malicious_code" /> %V[Virus or Trojan name]
<i18n:message bundleRef="bundleNotification" key="notification_events.ftp.uncleanable_file" /> %A[Action]
</textarea>
            </td>
          </tr>
          <tr>
            <td valign="top" class="data1"><input name="addtl_virus_customized" type="checkbox" value="yes"<%if(addtl_virus.compareToIgnoreCase("replace")==0 || addtl_virus.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.customized" /></td>
            <td class="data1"><textarea name="ftp__addtl_virus_message" cols="80" rows="10" wrap="VIRTUAL" class="button" onKeyUp="EnableSaveButton();"><%=IWSSInfo.GetKeyValue("ftp","addtl_virus_message")%></textarea>
            </td>
          </tr>
        </table>
        </TD>
    </TR>
  
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", MessageResourcesMgr.mrCommon.getMessage("button.save"), "width:55px", "disabled")%>
      <input name="cancel"  type="button"  onclick="javascript:self.location.replace('notifications_ftpscan.jsp')"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px"> 
    </td>
  </tr>
</table>
</body>
</form>
</html>
