﻿<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaNotifications" id="bundleNotification" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<%@ taglib uri="WEB-INF/iwssgui.tld" prefix="warnmsg"%>

<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
descarray = new Array(1);
descarray[0] = tipSendTo;

function doSubmit()
{
    if(document.saveform.addtl_mmc_default.checked && document.saveform.addtl_mmc_customized.checked)
        document.saveform.mmc__addtl_mmc.value = "yes";
    else if(document.saveform.addtl_mmc_default.checked) document.saveform.mmc__addtl_mmc.value = "no";
    else if(document.saveform.addtl_mmc_customized.checked) document.saveform.mmc__addtl_mmc.value = "replace";
    else{
        alert(i18n_select_usermsg);
        return;
    }
    document.saveform.mmc__admin_msg.value = Trim(document.saveform.mmc__admin_msg.value);
    var contentString = document.saveform.mmc__admin_msg.value;
    if(contentString.length < 5)
    {
        document.saveform.mmc__admin_msg.focus();
        alert(i18n_adminmsg_short);
        return;
    }
    if(document.saveform.notify_admin_view.checked){
        document.saveform.mmc__notify_admin.value='yes';
        if(document.saveform.mmc__admin_msg.value==""){
            document.saveform.mmc__admin_msg.focus();
            alert(i18n_adminmsg);
            return;
        }
    }else document.saveform.mmc__notify_admin.value='no';

    document.saveform.mmc__admin_msg.value = RemoveBrace(RemoveLineEnd(document.saveform.mmc__admin_msg.value));
    document.saveform.addtl_mmc_message.value = RemoveBrace(document.saveform.addtl_mmc_message.value);
    document.saveform.importedfile.disabled = true;
    document.saveform.op.value = "save"
    document.saveform.daemonaction.value = httpreloadplus;
    document.saveform.encoding="application/x-www-form-urlencoded";
    setTimeout( "document.saveform.submit()", 100 );
}

function doImport()
{
    if(document.saveform.importedfile.value=="") {
        alert(i18n_import_msg);
        return;
    }

    if(document.saveform.addtl_mmc_default.checked && document.saveform.addtl_mmc_customized.checked)
        document.saveform.mmc__addtl_mmc.value = "yes";
    else if(document.saveform.addtl_mmc_default.checked) document.saveform.mmc__addtl_mmc.value = "no";
    else if(document.saveform.addtl_mmc_customized.checked) document.saveform.mmc__addtl_mmc.value = "replace";
    else document.saveform.mmc__addtl_mmc.value = "";
    
    document.saveform.mmc__admin_msg.value = RemoveBrace(RemoveLineEnd(document.saveform.mmc__admin_msg.value));
    document.saveform.addtl_mmc_message.value = RemoveBrace(document.saveform.addtl_mmc_message.value);

    if(document.saveform.notify_admin_view.checked){
        document.saveform.mmc__notify_admin.value='yes';
    }else document.saveform.mmc__notify_admin.value='no';

    document.saveform.op.value = "import"
    document.saveform.daemonaction.value = "0"
    document.saveform.encoding="multipart/form-data";
    document.saveform.action="notifications_mmc.jsp?import";
    setTimeout( "document.saveform.submit()", 100 );
}

function doPreview()
{
    var headline,body;
    headline = "";
    if(document.saveform.addtl_mmc_default.checked && document.saveform.addtl_mmc_customized.checked)
        body = document.saveform.default_mmc_message.value + "<br><br>"+ AddDescription(RemoveBrace(document.saveform.addtl_mmc_message.value));
    else if(document.saveform.addtl_mmc_default.checked) body = document.saveform.default_mmc_message.value;
    else if(document.saveform.addtl_mmc_customized.checked) body = AddDescription(RemoveBrace(document.saveform.addtl_mmc_message.value));
    else{
        alert(i18n_select_usermsg);
        return;
    }
    preview_msg(i18n_preview_title,headline,body);
}

function init(isimport)
{
  document.saveform.mmc__admin_msg.value = AddDescription(document.saveform.mmc__admin_msg.value);
  document.saveform.addtl_mmc_message.value = AddDescription(document.saveform.addtl_mmc_message.value);
  
  if(isimport=='true') EnableSaveButton();
}
</script>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>

<%
    String notify_admin=null,admin_msg=null, addtl_mmc=null;
    boolean isimport=false;
    String importedcontent="";
    if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0)
    {
        WarnMsgFile wmf = new WarnMsgFile("mmc","addtl_mmc_message");
        wmf.Savemmcwarnmsg(request.getParameter("addtl_mmc_message"));

        try{
            IWSSINI formini = new IWSSINI(request);
            formini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");
            IWSSUtil.WriteCMConfigChangeEvent();
            //take deamon action
            int daemon_action = 0;
            if(request.getParameter("daemonaction")!=null)
            {
                daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
            }
        }catch(Exception e)
        {}

        notify_admin = IWSSInfo.GetKeyValue("mmc","notify_admin");
        admin_msg =  IWSSInfo.GetKeyValue("mmc","admin_msg");
        addtl_mmc = IWSSInfo.GetKeyValue("mmc","addtl_mmc");
    }else{ 
      if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("import")==0){
        IWSSMultiPartParser multip = new IWSSMultiPartParser(request);
        if(multip.GetParameter("op")!=null && multip.GetParameter("op").compareToIgnoreCase("import")==0)
        {
            String importfilename = multip.GetFileName("importedfile");
            if(importfilename!=null){
                WarnMsgFile wmf = new WarnMsgFile(importfilename);
                importedcontent = wmf.GetContent();
            }
            notify_admin = multip.GetParameter("mmc__notify_admin");
            admin_msg =   multip.GetParameter("mmc__admin_msg");
            addtl_mmc =  multip.GetParameter("mmc__addtl_mmc");
            isimport=true;
        }else{
            notify_admin = IWSSInfo.GetKeyValue("mmc","notify_admin");
            admin_msg =  IWSSInfo.GetKeyValue("mmc","admin_msg");
            addtl_mmc = IWSSInfo.GetKeyValue("mmc","addtl_mmc");
        }
        multip.CleanallTempFiles();
      }else
      {
            notify_admin = IWSSInfo.GetKeyValue("mmc","notify_admin");
            admin_msg =  IWSSInfo.GetKeyValue("mmc","admin_msg");
            addtl_mmc = IWSSInfo.GetKeyValue("mmc","addtl_mmc");
       }
    }
    if(notify_admin==null) notify_admin="";
    if(admin_msg==null) admin_msg="";
    if(addtl_mmc == null) addtl_mmc="";
%>
</head>
<body  onload="init('<%=isimport%>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> 
  pop up description layer </div>
<FORM ACTION="notifications_mmc.jsp" METHOD=POST NAME=saveform>
<input type="hidden" name="fromurl" value="/notifications_mmc.jsp">
<input type=hidden name="daemonaction" value="0">
<input name=op type=hidden value="save">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="507" class="content-title"> <i18n:message bundleRef="bundleNotification" key="notification_events.applets.title" /></td>
    <td width="33" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('notifications_mmc.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="2" class="data1"><a href="notifications.jsp"><i18n:message bundleRef="bundleNotification" key="notification_events.notifications" /></a> &gt; <i18n:message bundleRef="bundleNotification" key="notification_events.applets.second_title" /></td>
  </tr>
  <tr>
    <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="538" border=0>
  <TBODY>
    <TR> 
      <TD width="543" class="border" style="padding-bottom:3px"> <table width="538" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleNotification" key="notification_events.admin_notification" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1">
<input name="mmc__notify_admin" type="hidden" value="<%=XSSStringClean.cleanXSS(notify_admin)%>">
<input name="notify_admin_view" type="checkbox" value="yes"<%if(notify_admin.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
        <i18n:message bundleRef="bundleNotification" key="notification_events.applets.send_a_message" />&nbsp;</td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.message" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><textarea name="mmc__admin_msg" cols="102" rows="5" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%=XSSStringClean.cleanXSS(admin_msg)%></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.send_message_to" /> <span class="textbold"><%=IWSSInfo.GetKeyValue("notification","to_addr")%></span> 
<a onMouseOver="popLayer(0,20,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
          </tr>
          <tr>
            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td colspan="2" class="tableheadergrey2"><i18n:message bundleRef="bundleNotification" key="notification_events.user_notification" /></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><i18n:message bundleRef="bundleNotification" key="notification_events.applets.notify" /></td>
          </tr>
          <tr>
            <td width="115" style="vertical-align:top" class="data1">

            <input type=hidden value="<%=XSSStringClean.cleanXSS(addtl_mmc)%>" name=mmc__addtl_mmc>
            <input name="addtl_mmc_default" type="checkbox" value="no"<%if(addtl_mmc.compareToIgnoreCase("no")==0 || addtl_mmc.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.default" /></td>
            <td width="432" class="data1"><textarea name="default_mmc_message" cols="81" rows="4" wrap="VIRTUAL" class="button" disabled>
<i18n:message bundleRef="bundleNotification" key="notification_events.applets.executable_blocked_by_policy" /><br><br>
<i18n:message bundleRef="bundleNotification" key="notification_events.policy" /> %Z[policy name]<br>
<i18n:message bundleRef="bundleNotification" key="notification_events.reason" /> %X[reasons/block type]</textarea>
            </td>
          </tr>
          <tr>
            <td valign="top" class="data1"><input name="addtl_mmc_customized" type="checkbox" value="yes"<%if(addtl_mmc.compareToIgnoreCase("replace")==0 || addtl_mmc.compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleNotification" key="notification_events.customized" /></td>
            <td class="data1"><input name="importedfile" type="file" class="button" size="40">
                <input name="importbutton" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" onClick="doImport();">
            </td>
          </tr>
          <tr>
            <td valign="top" class="data1">&nbsp;</td>
            <td class="data1"><textarea name="addtl_mmc_message" cols="81" rows="7" wrap="VIRTUAL" onKeyUp="EnableSaveButton();" class="button"><%if(isimport){%><%=XSSStringClean.cleanXSS(importedcontent)%><%}else{%><warnmsg:GetCustomizedWarnMsg tagName="mmc" subtagName="addtl_mmc_message"/><%}%></textarea>
            </td>
          </tr>

        </table></TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", MessageResourcesMgr.mrCommon.getMessage("button.save"), "width:55px", "disabled")%>
      <input name="cancel"  type="button"  onclick="javascript:self.location.replace('notifications_mmc.jsp')"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px"> 
    </td>
  </tr>
</table>
</body>
</form>
</html>
